
QGIS Application - Bug report #5599

Unable to select/identify a polyline

2012-05-15 01:22 AM - Dieter De Paepe

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 15173

Description

I have a shape file containing polylines. For some of the polylines, QGis fails to detect clicks on the lines (they do not become selected and

no attributes are shown), depending on where was clicked.

When clicking on the part which does select the line, and then clicking somewhere else (to deselect it), the selection remains on a part of

the polyline until the screen is refreshed, eg by dragging the area.

I extracted one of the problem lines in the attachment, some screenshots are also included.

This shape file was created using the GeoTools 2.6.0 java library.

Tested on QGis 1.7.0 and 1.7.4.

History

#1 - 2012-05-15 01:32 AM - Giovanni Manghi

- Affected QGIS version changed from 1.7.4 to master

- Subject changed from Unable to select a polyline to Unable to select/identify a polyline

It happens with both the identify/select tools and affects also master.

#2 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-06-14 02:21 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

Files

polyline_problem.zip 37.5 KB 2012-05-14 Dieter De Paepe
